namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "sparkling_aria")]
public class SparklingAria : Script, IScriptOnSecondaryEffect
{
    /// <inheritdoc />
    public void OnSecondaryEffect(IExecutingMove move, IPokemon target, byte hit)
    {
        if (target.HasStatus(ScriptUtils.ResolveName<Status.Burned>()))
            target.ClearStatus();
    }
}